package com.six15.hudservice;

import androidx.annotation.Keep;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

@Keep
public class DeviceSettings {

    @SerializedName("width")
    @Expose
    private int mWidth;

    @SerializedName("height")
    @Expose
    private int mHeight;

    @SerializedName("resize_on")
    @Expose
    private boolean bResize;

    @SerializedName("splash_en")
    @Expose
    private boolean bSplash;

    @SerializedName("mic_en")
    @Expose
    private boolean bMicrophone;

    @SerializedName("bright_def")
    @Expose
    private int iBright;

    @SerializedName("cam_en")
    @Expose
    private boolean bCamera;

    public int getDisplayWidth() {
        return mWidth;
    }

    public int getDisplayHeight() {
        return mHeight;
    }

    public boolean getAuotResizeOn() {
        return bResize;
    }

    public boolean getSplashEnabled() {
        return bSplash;
    }

    public boolean getMicrophoneEnabled() {
        return bMicrophone;
    }

    public boolean getCameraEnabled() {
        return bCamera;
    }

    public int getDefaultBrightness() {
        return iBright;
    }

    @Override
    public String toString() {
        return String.format("display: " + mWidth + "x" + mHeight + " Brightness: " + iBright + " resize: " + bResize + " splash: " + bSplash + " Microphone: " + bMicrophone + " Camera: " + bCamera);
    }
}
