package com.six15.hudservice;


import androidx.annotation.Nullable;

import java.util.HashMap;
import java.util.Map;

public enum HUD_CommandBYTE {
    HC_STATUS  ((byte)0x00),
    HC_VERSIONS ((byte)0x01),
    HC_DEV_INFO ((byte)0x02),
    HC_DEV_SETTINGS ((byte)0x03),
    HC_VERSIONS_EXTRA ((byte)0x04),
    HC_MODE_UPD ((byte)0x05),
    HC_MODE_QUERY ((byte)0x0A),
    HC_MODE_SRST ((byte)0x0F),
    HC_DISP_SIZE ((byte)0x20),
    HC_DISP_BRT ((byte)0x22),
    HC_DISP_ON ((byte)0x23),
    HC_DISP_AGGRESSIVE_SLEEP ((byte)0x24),
    HC_DISP_INFO ((byte)0x2F),
    HC_CAM_START ((byte)0x30),
    HC_CAM_SNAP ((byte)0x35),
    HC_CAM_STOP ((byte)0x3A),
    HC_CAM_INFO ((byte)0x3F),
    HC_CFG_SPEN ((byte)0x40),
    HC_CFG_SPDEL ((byte)0x41),
    HC_CFG_SPIMAGE ((byte)0x42),
    HC_CFG_AUTRESIZE ((byte)0x43),
    HC_CFG_BL ((byte)0x44),
    HC_CFG_APP ((byte)0x45),
    HC_CFG_OEM ((byte)0x46),
    HC_CFG_SETTINGS ((byte)0x47),
    HC_CFG_CUSTOM ((byte)0x49),
    HC_CFG_RESET ((byte)0x4F),
    HC_IMU_DATA ((byte)0x50),
    HC_IMU_STATUS ((byte)0x51),
    HC_IMU_START ((byte)0x52),
    HC_IMU_START_CAL ((byte)0x53),
    HC_IMU_GET_CAL ((byte)0x54),
    HC_IMU_SET_FILTER_TUNE ((byte)0x55),
    HC_IMU_STOP ((byte)0x5F),
    HC_AUD_INFO ((byte)0x6F),
    HC_DEV_METRICS ((byte)0x80),
    HC_DEV_DEBUG_TERMINAL ((byte)0x81),
    HC_DEV_720_FPS ((byte)0x82),
    HC_IMAGE ((byte)0xD0),
    HC_JPEG((byte)0xDE),
    HC_RAW ((byte)0xDD),
    HC_ERROR ((byte)0xEE),
    HC_HEART_BEAT ((byte)0xFF);

    private static final Map<Byte, HUD_CommandBYTE> typesByValue = new HashMap<Byte, HUD_CommandBYTE>();

    static {
        for (HUD_CommandBYTE type : HUD_CommandBYTE.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    HUD_CommandBYTE(byte val) {
        this.value = val;
    }

    public byte value() { return value; }

    @Nullable
    public static HUD_CommandBYTE forValue(byte value) {
        if (!HUD_CommandBYTE.typesByValue.containsKey(value)){
            return null;
        }
        return HUD_CommandBYTE.typesByValue.get(value);
    }
}