package com.six15.hudservice;

import java.util.HashMap;
import java.util.Map;

public enum HUD_ControlBYTE {
    CB_ERROR((byte) 0x00),
    CB_RESPONSE((byte) 0x22),
    CB_COMMAND((byte) 0x33),
    CB_SPLASH_IMG((byte) 0x44),
    CB_CUSTOM_IMG((byte) 0x99),
    CB_BOOTLDR_IMG((byte) 0xAA),
    CB_CAMERA_IMG((byte) 0xBB),
    CB_APP_IMG((byte) 0xCC),
    CB_RECOVERY_IMG((byte) 0xDD),
    CB_SETTINGS_IMG((byte) 0xEE),
    CB_DISP_CLR((byte) 0xFC),
    CB_DISP_IMG((byte) 0xFF);

    private static final Map<Byte, HUD_ControlBYTE> typesByValue = new HashMap<Byte, HUD_ControlBYTE>();
    static {
        for (HUD_ControlBYTE type : HUD_ControlBYTE.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    HUD_ControlBYTE(byte val) {
        this.value = val;
    }
    public byte value() { return value; }
    public static HUD_ControlBYTE forValue(byte value) {
        return HUD_ControlBYTE.typesByValue.get(value);
    }
}

